## ros-rolling-fmi-adapter-examples 2.1.1

=== debian/changelog ===
ros-rolling-fmi-adapter-examples (2.1.1-1focal) focal; urgency=high



 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 10 Jun 2021 22:00:00 -0000

ros-rolling-fmi-adapter-examples (2.1.0-1focal) focal; urgency=high

  * Adapted launch files to API changes.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-rolling-fmi-adapter-examples (2.0.0-1focal) focal; urgency=high



 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.8-1focal) focal; urgency=high

  * Prepared for Foxy release.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 13 May 2020 22:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.7-1focal) focal; urgency=high

  * Updated instructions for FMU export from OpenModelica.
  * Created explicit output revolute1_angle.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 29 Jan 2020 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.6-1focal) focal; urgency=high

  * Release for ROS 2 Eloquent.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Mon, 04 Nov 2019 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.5-1focal) focal; urgency=high

  * Added example of launch file with new node composition feature.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 23 May 2019 22:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.4-1focal) focal; urgency=high

  * Fixed link to FMU-SDK.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.3-1focal) focal; urgency=high



 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 31 Jan 2019 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.2-1focal) focal; urgency=high

  * Cleaned up dependency entries in package.xml.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.1-1focal) focal; urgency=high

  * Fixed missing testing and launch dependencies.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 22 Jan 2019 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.0-1focal) focal; urgency=high

  * Initial version for ROS 2, ported from https://github.com/boschresearch/fmi_adapter/

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 17 Jan 2019 23:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-fmi-adapter-examples//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-fmi-adapter-examples 2.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(fmi_adapter_examples)

find_package(ament_cmake REQUIRED)

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME}/)
install(DIRECTORY share DESTINATION share/${PROJECT_NAME}/)

ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(fmi_adapter)
ament_package()

=== debian/changelog ===
ros-rolling-fmi-adapter-examples (2.1.2-1jammy) jammy; urgency=high



 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 12 Apr 2023 22:00:00 -0000

ros-rolling-fmi-adapter-examples (2.1.1-1jammy) jammy; urgency=high



 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 10 Jun 2021 22:00:00 -0000

ros-rolling-fmi-adapter-examples (2.1.0-1jammy) jammy; urgency=high

  * Adapted launch files to API changes.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-rolling-fmi-adapter-examples (2.0.0-1jammy) jammy; urgency=high



 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 23 Mar 2021 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.8-1jammy) jammy; urgency=high

  * Prepared for Foxy release.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 13 May 2020 22:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.7-1jammy) jammy; urgency=high

  * Updated instructions for FMU export from OpenModelica.
  * Created explicit output revolute1_angle.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 29 Jan 2020 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.6-1jammy) jammy; urgency=high

  * Release for ROS 2 Eloquent.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Mon, 04 Nov 2019 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.5-1jammy) jammy; urgency=high

  * Added example of launch file with new node composition feature.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 23 May 2019 22:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.4-1jammy) jammy; urgency=high

  * Fixed link to FMU-SDK.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.3-1jammy) jammy; urgency=high



 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 31 Jan 2019 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.2-1jammy) jammy; urgency=high

  * Cleaned up dependency entries in package.xml.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.1-1jammy) jammy; urgency=high

  * Fixed missing testing and launch dependencies.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 22 Jan 2019 23:00:00 -0000

ros-rolling-fmi-adapter-examples (0.1.0-1jammy) jammy; urgency=high

  * Initial version for ROS 2, ported from https://github.com/boschresearch/fmi_adapter/

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 17 Jan 2019 23:00:00 -0000

=== debian/control ===
Source: ros-rolling-fmi-adapter-examples
Section: misc
Priority: optional
Maintainer: Ralph Lange <ralph.lange@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-fmi-adapter, ros-rolling-ros-workspace
Homepage: http://wiki.ros.org/fmi_adapter
Standards-Version: 3.9.2

Package: ros-rolling-fmi-adapter-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-fmi-adapter, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-ros-workspace
Description: Provides small examples for use of the fmi_adapter package

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
